package com.fs.aiChat.service;

import com.fs.aiChat.param.QwSopParam;
import com.fs.aiChat.vo.QwSopImCustomerVO;
import com.fs.aiChat.vo.QwSopLogsListVO;
import com.fs.aiChat.vo.QwSopLogsVO;
import com.fs.aiChat.vo.QwSopListVO;
import com.fs.sop.domain.QwSopLogs;
import com.fs.sop.params.QwSopLogsAiParam;

import java.util.List;

/**
 * sopImService接口
 *
 * @author fs
 * @date 2024-07-31
 */
public interface IQwSopImService
{
    /**
     * 获取员工SOP规则列表)
     */
    List<QwSopListVO> selectSopListVO(QwSopParam qwSopParam);
    List<QwSopImCustomerVO> getSopCustomerList(QwSopParam qwSopParam);
    List<QwSopLogsListVO> selectSopSendCustomerLogsListVO(QwSopParam qwSopParam);
    Integer updateQwSopLogsSendType(QwSopLogs qwSopLogs);
    QwSopLogsVO getQwSopLogsDetailVO(QwSopLogsAiParam qwSopLogsAiParam);

}
